/v1/workspaces/{workspace_id}/segments/{segment_id}AuthGet a segment
Path parameters
workspace_id*string · uuidId of the workspace.
segment_id*string · uuidId of the segment.
Response · 200
id*string · uuidThe segment id.
name*stringName of the segment.
Example: "Pro customers"
description*stringOptional description of who is in the segment.
type*object`static`: an explicit member list. `rule`: the contacts matching `rule`.
rule*objectNull for a static segment.
created_at*string · date-timeWhen the segment was created.
updated_at*string · date-timeWhen the segment was last changed.
Example
Request
GET https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/segments/{segment_id}
Authorization: Bearer YOUR_TOKENResponse
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "Pro customers",
"description": "string",
"type": {},
"rule": {},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}